Bug 738555 - Stop exposing -enable-nested
Summary: Stop exposing -enable-nested
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Amos Kong
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 738466
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-15 07:20 UTC by Dor Laor
Modified: 2015-05-25 00:06 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.192.el6
Doc Type: Bug Fix
Doc Text:
The -enable-nested qemu-kvm option was removed, as nested virtualization is not supported.
Clone Of: 738466
Environment:
Last Closed: 2011-12-06 16:03:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-06 01:23:30 UTC

Comment 5 Chao Yang 2011-10-10 07:35:39 UTC
Reproduced on qemu-kvm-0.12.1.2-2.160.el6.x86_64 and 
verified on qemu-kvm-0.12.1.2-2.195.el6.x86_64 by following command:
# /usr/libexec/qemu-kvm --help | grep nest

Actual Result:
on qemu-kvm-0.12.1.2-2.160.el6.x86_64:
# /usr/libexec/qemu-kvm --help | grep nest
-enable-nesting enable support for running a VM inside the VM (AMD only)
on qemu-kvm-0.12.1.2-2.195.el6.x86_64:
# /usr/libexec/qemu-kvm --help  | grep nest | wc -l
0

Based on this comment, this issue has been fixed.

Comment 7 Eduardo Habkost 2011-11-22 15:51:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The -enable-nested qemu-kvm option was removed, as nested virtualization is not supported.

Comment 8 errata-xmlrpc 2011-12-06 16:03:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html


Note You need to log in before you can comment on or make changes to this bug.